# Uses of Class
net.shibboleth.idp.authn.context.UsernameContext

Packages that use UsernameContext
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of UsernameContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return UsernameContext
Modifier and Type
Method
Description
`UsernameContext`
UsernameContext.`setUsername(String name)`
Sets the username.

## Uses of UsernameContext in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as UsernameContext
Modifier and Type
Field
Description
`private UsernameContext`
ValidateRemoteUser.`usernameContext`
Username context identifying identity to validate.